commit: b1a3d3c12b3e8537665ddebca3f0e25363c15179
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 13 01:38:04 2019 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Jul 13 01:38:04 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1a3d3c1
dev-python/zipp: bump to 0.5.2
Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
dev-python/zipp/Manifest | 1 +
dev-python/zipp/zipp-0.5.2.ebuild | 44 +++++++++++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-python/zipp/Manifest b/dev-python/zipp/Manifest
index 778f14e8829..84258d759a3 100644
--- a/dev-python/zipp/Manifest
+++ b/dev-python/zipp/Manifest
@@ -1 +1,2 @@
DIST zipp-0.5.1.tar.gz 10763 BLAKE2B
4f70d6ed94203d4b9fb9127930a07797c3cbfa023e0cd472e9d3a18e1877619dbefee654cd0364592a594b6e9e0aabc813e0560695bb18f8e3a64cb4ce76f0e2
SHA512
d4486ae98159677cd481cddb3bd00d5d2237dc94f0f3129b03994800b0e136c12b05e02d2ca7d628043dabce323f34dd919b9ba731549656802527abdcfea120
+DIST zipp-0.5.2.tar.gz 10875 BLAKE2B
97e56b8e1cbff2344ee6b385085e6c821d61bd2c2510ac54e50a3f706515f1e22789168c97599787787b47f09dabe55abb594f5724d1d540f62d8d68fc32e36f
SHA512
8c84b620844315ab1f1aa3c5bb29dcdf1271a0139198b5c3d6aa31ecb9a86f0dcef963819403d971ae0461c737312c064572c57ecf32d73dc973a5f69cf0375c
diff --git a/dev-python/zipp/zipp-0.5.2.ebuild
b/dev-python/zipp/zipp-0.5.2.ebuild
new file mode 100644
index 00000000000..2d0e62d3d6e
--- /dev/null
+++ b/dev-python/zipp/zipp-0.5.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Backport of pathlib-compatible object wrapper for zip files"
+HOMEPAGE="https://github.com/jaraco/zipp"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/contextlib2[${PYTHON_USEDEP}]
+ dev-python/pathlib2[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )
+ doc? (
+ >=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+ >=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ )
+"
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ pytest -vv || die "tests failed with ${EPYTHON}"
+}